# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo/hugo_extended:0.97.3



stages:
  - build
  - pages

cache:
  paths:
    - node_modules/

variables:
  HUGO_ENV: production
  GIT_SUBMODULE_STRATEGY: recursive
  SECRET_DETECTION_HISTORIC_SCAN: 'false'
  SECRET_DETECTION_EXCLUDED_PATHS: .husky, .vscode,  dist, node_modules, themes


build:
  stage: build
  script:
    - hugo
  artifacts:
    paths:
      - public
    expire_in: 1 hour
  only:
    - merge_requests

pages:
  stage: pages
  script:
    - hugo
  artifacts:
    paths:
      - public
    expire_in: 1 week
  only:
    - main

